<template>
	<div class="box card-size is-rounded-default is-flex is-flex-direction-column p-0 m-0">
		<img
				data-testid="image"
				:src="plantInfo.imageUrl"
				class="card-img has-rounded-borders-top"
		>
		<span data-testid="plant-nickname" class="label m-0 pl-4">
			{{ plantInfo.nickName }}
		</span>
		<span data-testid="plant-species-name" class="help m-0 pl-4">
			{{ plantInfo.speciesName }}
		</span>
		<progress
				data-testid="plant-watering-progress"
				:value="plantInfo.waterPercentage"
				max="100"
				class="progress m-4 mt-2 mb-2"
		/>
		<div class="is-full-width is-flex is-flex-direction-row is-justify-content-space-around">
			<td-icon
					data-testid="calendar-icon"
					class="has-button-effects"
					:icon="faCalendarDays"
					width="24px"
					height="24px"
			/>
			<td-icon
					data-testid="water-icon"
					class="has-button-effects pt-1"
					:class="waterIcon.class"
					:icon="waterIcon.icon"
					width="48px"
					height="48px"
					v-tooltip="'A következő öntözés várható ideje: ' + plantInfo.nextWateringDate"
			/>
			<td-icon
					data-testid="edit-icon"
					class="has-button-effects"
					:icon="faPenToSquare"
					width="24px"
					height="24px"
			/>
		</div>
	</div>
</template>

<script lang="ts">
import { faCalendarDays, faPenToSquare, faDroplet } from '@fortawesome/free-solid-svg-icons';

export default {
	name: 'WaPlantCard',
	props: {
		plantInfo: {
			type: Object,
			required: true,
		},
	},
	setup() {
		return {
			waterIcon: {
				class: 'waterIconStyle',
				icon: faDroplet,
			},
			faPenToSquare,
			faCalendarDays
		};
	},
};
</script>


<style lang="scss" scoped>
@import 'src/style/utils';
@import "../../style/main";
.box.card-size {
	width: 13em;
	height: 24em;
}
.has-rounded-borders-top{
	border-top-left-radius: $border-radius;
	border-top-right-radius: $border-radius;
}
.card-img{
	height: 250px;
	object-fit: cover;
}
.waterIconStyle {
	color: $progress-value-background-color;
}
/* Progress style */
.progress{
	border: 0.01em solid $progress-value-background-color;
	width: 11em;
}
</style>
